import { IsNotEmpty, IsString } from 'class-validator';

export class TagModelDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public name: string;

  @IsString()
  @IsNotEmpty()
  public productUuid: string;

  @IsString()
  spaceModelUuid: string;

  @IsString()
  subspaceModelUuid: string;
}
