import {
  SpaceModelProductAllocationEntity,
  SubspaceModelEntity,
} from '@app/common/modules/space-model';
import { ModifyTagModelDto } from '../dtos';
import { ModifyAction } from '@app/common/constants/modify-action.enum';
import { NewTagEntity } from '@app/common/modules/tag';
import { IUpdatedAllocations } from './subspace-product-allocation-update-result.interface';

export interface IRelocatedAllocation {
  allocation: SpaceModelProductAllocationEntity;
  tags?: NewTagEntity[];
}
export interface ISingleSubspaceModel {
  subspaceModel: SubspaceModelEntity;
  action: ModifyAction;
  tags?: ModifyTagModelDto[];
  relocatedAllocations?: IRelocatedAllocation[];
}

export interface ISubspaceModelUpdates {
  subspaceModels: ISingleSubspaceModel[];
  updatedAllocations: IUpdatedAllocations[];
}
