import { SubspaceModelEntity, TagModel } from '@app/common/modules/space-model';

export interface ModifyspaceModelPayload {
  modifiedSubspaceModels?: ModifySubspaceModelPayload;
  modifiedTags?: ModifiedTagsModelPayload;
}

export interface ModifySubspaceModelPayload {
  addedSubspaceModels?: SubspaceModelEntity[];
  updatedSubspaceModels?: UpdatedSubspaceModelPayload[];
  deletedSubspaceModels?: string[];
}

export interface UpdatedSubspaceModelPayload {
  subspaceName?: string;
  modifiedTags?: ModifiedTagsModelPayload;
  subspaceModelUuid: string;
}

export interface ModifiedTagsModelPayload {
  added?: TagModel[];
  updated?: TagModel[];
  deleted?: string[];
}
